<?php
$featured_query = new WP_Query( $featured_news_args );
if ( $featured_query->have_posts() ) {

	$featured_title      = get_theme_mod( 'headline_news_featured_news_title', __( 'Featured News', 'headline-news' ) );
	$featured_button     = get_theme_mod( 'headline_news_featured_news_button_label', __( 'View All', 'headline-news' ) );
	$featured_button_url = get_theme_mod( 'headline_news_featured_news_button_link', '#' );
	?>
	<div class="featured-posts">
		<?php if ( ! empty( $featured_title || $featured_button ) ) { ?>
			<div class="title-heading">
				<?php if ( ! empty( $featured_title ) ) : ?>
					<h3 class="section-title"><?php echo esc_html( $featured_title ); ?></h3>
				<?php endif; ?>
				<?php if ( ! empty( $featured_button ) ) { ?>
					<a href="<?php echo esc_url( $featured_button_url ); ?>" class="view-all"><?php echo esc_html( $featured_button ); ?></a>
				<?php } ?>
			</div>
		<?php } ?>
		<div class="featured-posts-wrap">
			<?php
			$i = 1;
			while ( $featured_query->have_posts() ) :
				$featured_query->the_post();
				?>
				<div class="blog-post-container grid-layout">
					<div class="blog-post-inner">
						<div class="blog-post-image">
							<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'post-thumbnail' ); ?></a>
							<?php headline_news_categories_list(); ?>
						</div>
						<div class="blog-post-detail">
							<div class="post-meta">
								<?php
								headline_news_posted_by();
								headline_news_posted_on();
								?>
							</div>
							<h2 class="entry-title">
								<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
							</h2>
						</div>
					</div>
				</div>
				<?php
				$i++;
			endwhile;
			wp_reset_postdata();
			?>
		</div>
	</div>
	<?php
}
